# Uses of Class
org.astrogrid.samp.xmlrpc.LockInfo

Packages that use LockInfo
Package
Description
org.astrogrid.samp.xmlrpc
Classes relating to Standard Profile and XML-RPC pluggable implementation layer.

## Uses of LockInfo in org.astrogrid.samp.xmlrpc

Methods in org.astrogrid.samp.xmlrpc that return LockInfo
Modifier and Type
Method
Description
`static LockInfo`
LockInfo.`asLockInfo(Map map)`
Returns a given map as a LockInfo object.
`LockInfo`
HubRunner.`getLockInfo()`
Deprecated.
Returns the lockfile information associated with this object.
`LockInfo`
StandardClientProfile.`getLockInfo()`
Returns the LockInfo which indicates how to locate the hub.
`LockInfo`
StandardHubProfile.`getLockInfo()`
Returns the lockfile information associated with this object.
`static LockInfo`
LockInfo.`readLockFile(InputStream in)`
Returns the LockInfo read from a given stream.
`static LockInfo`
LockInfo.`readLockFile(URL url)`
Returns a LockInfo as read from a lockfile at a given location.